"""
Elecpy库（即Electric Python）涉及电气工程专业领域，主要用于创建电路模型、对电路进行计算分析、多方式显示计算结果等，可作为该专业本
科生的学习辅导工具，研究生的研究计算工具等。

Author: aiqy

创建电路模型包括：
1. 创建电路模型网络表
2. 导出电路模型网络表
3. 创建可显示的电路数据
4. 显示电路模型

计算分析包括：
1. 电阻电路计算
2. 正弦稳态电路计算
3. 暂态电路计算
4.

多方式显示结算结果包括：
1. 显示计算结果数据
2. 显示电压、电流的时变图形
3. 显示正弦暂态电路的相量图
4. 显示电流流动动图
5. 显示电压波动动图
6.

该库包括以下模块：
1. Tools： 工具模块，包含以度为单位的三角函数、坐标变换、变压器联结组别字符串的识别等等
2. ComponentDiagram: 元件图形，包括电阻、电感、电容、电源等的绘制函数
3. CircuitManager: 电路管理器，包括元件类、导线类、电路类等，其中，电路类可用于创建一个电路
4. CircuitCalculation: 电路计算模块，包括电路数据转换与网络表的转换、正弦稳态电路计算、暂态电路计算等
5. Graph: 图表，包括相量图、时变变量图、三维图等
6. GUI: 图形化界面，包括主界面、树形图、带滚动条的画布等
7. App: 启动该库的图形化界面


"""
__all__ = ["Circuit"]
